#include "toma.h"

void ToMa::setApplicationData()
{
  prog = tr("Tournament Manager");
  prg = prog;
  prg.remove(' ');
  progVer = "1.1.5";

}

void ToMa::reloadApplicationData()
{
  charCodeList.clear();
  charCodeList << "CP1250";
  charCodeList << "ISO-8859-2";
  charCodeList << "latin2";
  charCodeList << "UTF-8";
  charCodeList << "windows-1250";

  langShortMap["cs"] = "Czech";
  langShortMap["en"] = "English";


  columnsList.clear();
  columnsList << tr("Position");
  columnsList << tr("Lastname");
  columnsList << tr("Firstname");
  columnsList << tr("Born");
  columnsList << tr("Club");
  columnsList << tr("League");

  columnsTeamsList.clear();
  columnsTeamsList << tr("Balls");
  columnsTeamsList << tr("Sets");
  columnsTeamsList << tr("Points");
  columnsTeamsList << tr("Order");

  columnsFinalOrderList.clear();
  columnsFinalOrderList << tr("Lastname");
  columnsFinalOrderList << tr("Firstname");
  columnsFinalOrderList << tr("Born");
  columnsFinalOrderList << tr("Club");

  leaguesMax = 4;
  leagueColumn = 5;
  splitTeamMax = 8;

  charSmallFirst = 'a';
  charBigFirst = 'A';

  fileTournamentSuffix = "ztr";
  fileTournamentSuffixLabel = tr("Zakrava Tournament Record");

  tabList.clear();
  tabList << tr("Main");
  tabList << tr("Groups");
  tabList << tr("Spiders");
  tabList << tr("Final Order");
}
